CHCON(1)

NAVN
chcon - change file security context

OVERSIKT
chcon [VALG]... KONTEKST FIL...
chcon [VALG]... [-u BRUKER] [-r ROLLE] [-l RVIDDE] [-t TYPE] FIL...
chcon [VALG]... --reference=RFIL FIL...

BESKRIVELSE

Endre sikkerhetskontekst for hver FIL til ønsket KONTEKST. Sikkerhetskontekt for hver FIL kan, ved bruk av --reference, endres til RFIL.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--dereference
    Endre lenkemål i stedet for symbolske lenker (standard).

-h, --no-dereference
    Endre symbolske lenker i stedet for lenkemål.

-u, --user=BRUKER
    Angi brukeren BRUKER i målets sikkerhetskontekst.

-r, --role=ROLLE
    Angi rollen ROLLE i målets sikkerhetskontekst.

-t, --type=TYPE
    Angi typen TYPE i målets sikkerhetskontekst.

-l, --range=RVIDDE
    Angi rekkevidden RVIDDE i målets sikkerhetskontekst.

--no-preserve-root
    Ikke gi «/» spesialbehandling (standard).

--preserve-root
    Avvis rekursiv behandling på stien «/».

--reference=RFIL
    Bruk sikkerhetskontekst for RFIL, i stedet for å angi en KONTEKSTverdi.

-R, --recursive
    Behandle filer og mapper rekursivt.

-v, --verbose
    Skriv ut diagnostikk for behandlede filer.

Følgende valg avgjør hvordan et hierarki blir gjennomgått når valget -R brukes. Hvis du gjør flere enn ett valg, er det bare det siste som gjelder.

-H  Hvis et argument er en symbolsk lenke som peker på en mappe, skal mappa gjennomgås.

-L  Gå gjennom hver symbolske lenke som dukker opp, og som peker på en mappe.

-P  Ikke gå gjennom symbolske lenkemål (standard).

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

OPPHAVSMANN
Skrevet av Russell Coker og Jim Meyering.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/chcon>
eller lokalt: info '(coreutils) chcon invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.